
From: Johannes Stezenbach <js@linuxtv.org>

From: http://kerneljanitors.org/TODO
o convert from pci_module_init to pci_register_driver

Signed-off-by: Christophe Lucas <c.lucas@ifrance.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/b2c2/skystar2.c |    2 +-
 25-akpm/drivers/media/dvb/bt8xx/bt878.c   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/b2c2/skystar2.c~dvb-convert-from-pci_module_init-to-pci_register_driver drivers/media/dvb/b2c2/skystar2.c
--- 25/drivers/media/dvb/b2c2/skystar2.c~dvb-convert-from-pci_module_init-to-pci_register_driver	2005-03-21 20:58:37.000000000 -0800
+++ 25-akpm/drivers/media/dvb/b2c2/skystar2.c	2005-03-21 20:58:37.000000000 -0800
@@ -2629,7 +2629,7 @@ static struct pci_driver skystar2_pci_dr
 
 static int skystar2_init(void)
 {
-	return pci_module_init(&skystar2_pci_driver);
+	return pci_register_driver(&skystar2_pci_driver);
 }
 
 static void skystar2_cleanup(void)
diff -puN drivers/media/dvb/bt8xx/bt878.c~dvb-convert-from-pci_module_init-to-pci_register_driver drivers/media/dvb/bt8xx/bt878.c
--- 25/drivers/media/dvb/bt8xx/bt878.c~dvb-convert-from-pci_module_init-to-pci_register_driver	2005-03-21 20:58:37.000000000 -0800
+++ 25-akpm/drivers/media/dvb/bt8xx/bt878.c	2005-03-21 20:58:37.000000000 -0800
@@ -563,7 +563,7 @@ static int bt878_init_module(void)
 	/* later we register inside of bt878_find_audio_dma()
 	 * because we may want to ignore certain cards */
 	bt878_pci_driver_registered = 1;
-	return pci_module_init(&bt878_pci_driver);
+	return pci_register_driver(&bt878_pci_driver);
 }
 
 static void bt878_cleanup_module(void)
_
